# -*- encoding: utf-8 -*-
# stub: versionist 1.5.0 ruby lib

Gem::Specification.new do |s|
  s.name = "versionist"
  s.version = "1.5.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 1.3.6") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Brian Ploetz"]
  s.date = "2016-08-29"
  s.description = "A plugin for versioning Rails based RESTful APIs."
  s.files = ["lib/generators/versionist/copy_api_version/USAGE", "lib/generators/versionist/copy_api_version/copy_api_version_generator.rb", "lib/generators/versionist/inflector_fixes.rb", "lib/generators/versionist/new_api_version/USAGE", "lib/generators/versionist/new_api_version/new_api_version_generator.rb", "lib/generators/versionist/new_api_version/templates/base_controller.rb", "lib/generators/versionist/new_api_version/templates/base_controller_functional_test.rb", "lib/generators/versionist/new_api_version/templates/base_controller_integration_test.rb", "lib/generators/versionist/new_api_version/templates/base_controller_spec.rb", "lib/generators/versionist/new_api_version/templates/base_presenter.rb", "lib/generators/versionist/new_api_version/templates/base_presenter_spec.rb", "lib/generators/versionist/new_api_version/templates/base_presenter_test.rb", "lib/generators/versionist/new_api_version/templates/docs_index.rb", "lib/generators/versionist/new_api_version/templates/docs_style.rb", "lib/generators/versionist/new_controller/USAGE", "lib/generators/versionist/new_controller/new_controller_generator.rb", "lib/generators/versionist/new_controller/templates/new_controller.rb", "lib/generators/versionist/new_controller/templates/new_controller_functional_test.rb", "lib/generators/versionist/new_controller/templates/new_controller_integration_test.rb", "lib/generators/versionist/new_controller/templates/new_controller_spec.rb", "lib/generators/versionist/new_presenter/USAGE", "lib/generators/versionist/new_presenter/new_presenter_generator.rb", "lib/generators/versionist/new_presenter/templates/new_presenter.rb", "lib/generators/versionist/new_presenter/templates/new_presenter_spec.rb", "lib/generators/versionist/new_presenter/templates/new_presenter_test.rb", "lib/generators/versionist/rspec_helper.rb", "lib/versionist.rb", "lib/versionist/configuration.rb", "lib/versionist/middleware.rb", "lib/versionist/railtie.rb", "lib/versionist/routing.rb", "lib/versionist/version.rb", "lib/versionist/versioning_strategy.rb", "lib/versionist/versioning_strategy/base.rb", "lib/versionist/versioning_strategy/default.rb", "lib/versionist/versioning_strategy/header.rb", "lib/versionist/versioning_strategy/parameter.rb", "lib/versionist/versioning_strategy/path.rb"]
  s.homepage = "https://github.com/bploetz/versionist"
  s.licenses = ["MIT"]
  s.rdoc_options = ["--charset=UTF-8"]
  s.rubygems_version = "2.5.1"
  s.summary = "versionist-1.5.0"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<activesupport>, [">= 3"])
      s.add_runtime_dependency(%q<railties>, [">= 3"])
      s.add_runtime_dependency(%q<yard>, ["~> 0.7"])
    else
      s.add_dependency(%q<activesupport>, [">= 3"])
      s.add_dependency(%q<railties>, [">= 3"])
      s.add_dependency(%q<yard>, ["~> 0.7"])
    end
  else
    s.add_dependency(%q<activesupport>, [">= 3"])
    s.add_dependency(%q<railties>, [">= 3"])
    s.add_dependency(%q<yard>, ["~> 0.7"])
  end
end
